<?
$t=rand(1,999);
$ques_file = @file("vict/ques.dat");
$umnik="Умник";
$uc=count($ques_file);
$vt = implode("",file("vict/vt.dat"));
$vt = unserialize($vt);


if (time()>$vt["time"]){
 unset($vt["time"]);
 $file1 = fopen ("vict/vt.dat", "w+");
fputs($file1,serialize($vt));
fclose ($file1);
include "vict/otvet.php";
$tex="$date||Время истекло! Правильный ответ <u>$otvet</u>! Следущий вопрос через секунду!||$umnik";
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp); 
}

if (!$vt["time"]) {
$vt["time"]=time()+180;
$n=rand(0, $uc-1);
$uda = explode("::",$ques_file[$n]);
$q=@fopen("vict/otvet.php","w");
$uda[1]=str_replace("\n","",$uda[1]);
$uda[1]=str_replace("\r","",$uda[1]);
fwrite($q, '<?
$otvet="'.$uda[1].'";
?>');
fclose($q);
fclose ($file12);
$len = strlen($uda[1])/2;
$tex="$date||$uda[0] ($len букв)||$umnik";
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp); 
$vt["vopr"]=$uda[0];
$file1 = fopen ("vict/vt.dat", "w+");
fputs($file1,serialize($vt));
fclose ($file1); 
}
 
 
$file = @file("vict/vict.dat"); 
$total=count($file);
if (!$start) $start=0;
$stmp.="<a href=\"$PHP_SELF?sid=$sid&vic=add&start=$start\">Написать</a>
<br/><a href=\"$PHP_SELF?sid=$sid&vic=p1\">Как играть</a>
<br/><a href=\"$PHP_SELF?sid=$sid&vic=1&start=".($total-5)."\">Вниз</a>";
$stmp.="<br/><span style=\"color:red\"><strong>Ответы</strong></span>:<br/>";

if ($player["chat_ban"]) msg("<br/>Заблокирован чат, еще ".date("i мин s сек",$player["chat_time_ban"]-time())."");
$file = @file("vict/vict.dat"); 
if (!$file) {$stmp.="- нет сообщений -";} else {
$total=count($file);
$file=array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 6){ $end = $total; }
else {$end = $start + 6; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
if (!$udata[5]) $udata[5]=0;
if ($login==$admin || $login==$admin2){
$stmp.="<a href=\"$PHP_SELF?sid=$sid&adm=duser&logy=$udata[3]\">(X)</a>";
}
$stmp.="$udata[0]::<strong>$udata[2]</strong>:<br/>$udata[1]<br/>";
}
if ($start != 0) {$stmp.="<a href=\"$PHP_SELF?sid=$sid&vic=1&start=".($start - 6)."\">Назад</a>";}
if ($total > $start + 6) {$stmp.=" <a href=\"$PHP_SELF?sid=$sid&vic=1&start=".($start + 6)."\">Далее</a>";}
}
if ($start != 0) $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&vic=1&start=0\">Вверх</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&vic=1&t=$t&start=$start\">Обновить</a>";
if ($login==$admin || $login==$admin2){
$stmp.="<br/>***<br/><a href=\"$PHP_SELF?sid=$sid&vic=clear\">Чистка комнаты</a>";
}
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">[^]</a>";

if ($vic=='add') { 
include "vict/add.php";
}	 
if ($vic=='clear') { 
if ($login==$admin || $login==$admin2){
unlink("vict/vict.dat");
msg("Комната очищена!<br/><a href=\"$PHP_SELF?sid=$sid&vic=1\">Назад</a>");
}else{
msg("Непоследовательные действия запрещены!");
}
}
if ($vic=='p1') { 
$cfile=@file("vict/ques.dat");
$ccfile=count($cfile);
msg("Вы должны отвечать на вопросы, которые задают.
<br/>За правельный ответ, Вам дают приз.
<br/>В базе <strong>".$ccfile."</strong>  вопросов!
<br/>Есле Вы ведете:
<br/><strong>!time</strong>, $umnik скажет Вам, сколько длится еще вопрос.
<br/><strong>!otvet</strong>, $umnik скажет Вам, сколько Вы всего ответили правильно!.
<br/><strong>!vopros</strong>, $umnik повторит вопрос.
<br/>Желаю удачи, и много призов =)
<br/><a href=\"$PHP_SELF?sid=$sid&vic=1\">Назад</a>");
}
if ($vic=='zap') {
include "vict/zap.php";
};


msg($stmp,"Викторина");
?>